import type { BasicDataset, BasicDimension, BasicMeta, BasicMetric, NormalizedEChartOption } from '../echarts/types';
import type { BuiltInAddon, UniversalAddon } from '../echarts/addon-types';
export declare function useEChartTheme(): {
    color: string[];
    visualMap: {
        inRange: {
            color: string[];
        };
    };
    tooltip: {
        backgroundColor: string;
        borderWidth: number;
        textStyle: {
            color: string;
            fontFamily: string;
            lineHeight: number;
            fontSize: number;
            axisPointer: {
                shadowStyle: {
                    color: string;
                };
            };
            extraCssText: string;
        };
    };
    legend: {
        textStyle: {
            fontSize: number;
        };
    };
    bar: {
        barWidth: number;
    };
    line: {
        itemStyle: {
            borderWidth: number;
        };
        lineStyle: {
            width: number;
        };
        symbolSize: number;
        symbol: string;
        smooth: boolean;
    };
    map: {
        itemStyle: {
            color: string;
        };
        emphasis: {
            itemStyle: {
                borderColor: string;
                areaColor: string;
            };
            axisPointer: {
                color: string;
            };
        };
    };
    categoryAxis: {
        axisLine: {
            lineStyle: {
                color: string;
            };
        };
        axisLabel: {
            color: string;
        };
        axisTick: {
            lineStyle: {
                color: string;
            };
        };
    };
    valueAxis: {
        splitLine: {
            lineStyle: {
                color: string[];
            };
        };
    };
};
export interface EChartOptionParams {
    dataset: BasicDataset;
    dimensions: BasicDimension | BasicDimension[];
    metrics: BasicMetric | BasicMetric[];
    meta?: BasicMeta[];
    addons?: (UniversalAddon | BuiltInAddon)[];
}
export declare function useEChartOption(params: EChartOptionParams): NormalizedEChartOption;
